### Function

# Gtk CssSectionnew

#### Declaration [src]

    GtkCssSection*
    gtk_css_section_new (
      GFile* file,
      const GtkCssLocation* start,
      const GtkCssLocation* end
    )

#### Description [src]

Creates a new `GtkCssSection` referring to the section in the given `file` from the `start` location to the `end` location.

#### Parameters

`file`

  Type: `GFile`

  The file this section refers to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`start`

  Type: `GtkCssLocation`

  The start location.

  The data is owned by the caller of the function.

`end`

  Type: `GtkCssLocation`

  The end location.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkCssSection`

A new `GtkCssSection`

The caller of the function takes ownership of the data, and is responsible for freeing it.